Debian Bug report logs - #453851
cloop-src: make module - invalidate_bdev function

version graph

Package: cloop-src; Maintainer for cloop-src is Eduard Bloch <blade@debian.org>; Source for cloop-src is src:cloop.

Reported by: Herbert P Fortes Neto <h_p_f_n@yahoo.com.br>

Date: Sat, 1 Dec 2007 17:27:01 UTC

Severity: grave

Found in version cloop/2.05~20060829-1

Fixed in version cloop/2.05~20060829-1.1

Done: Philipp Kern <pkern@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#453851; Package cloop-src. Full text and rfc822 format available.

Acknowledgement sent to Herbert P Fortes Neto <h_p_f_n@yahoo.com.br>:
New Bug report received and forwarded. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Herbert P Fortes Neto <h_p_f_n@yahoo.com.br>
To: submit@bugs.debian.org
Subject: cloop-src: make module - invalidate_bdev function
Date: Sat, 1 Dec 2007 15:22:43 -0200
[Message part 1 (text/plain, inline)]
Package: cloop-src
Version: 2.05~20060829-1
Severity: grave
Justification: renders package unusable


 Hi,

 i tried to build the cloop module and received this error:

 /usr/src/modules/cloop/compressed_loop.c:628: error: too many arguments
 to function invalidate_bdev

 so i checked and changed this line:
 -invalidate_bdev(bdev, 0);
 +invalidate_bdev(bdev);

 and now i have the module load.d


  []
  Herbert
 
 -- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-k7 (SMP w/1 CPU core)
Locale: LANG=pt_BR.UTF-8, LC_CTYPE=pt_BR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages cloop-src depends on:
ii  bzip2                         1.0.3-7    high-quality block-sorting file co
ii  debhelper                     5.0.61     helper programs for debian/rules
ii  module-assistant              0.10.11    tool to make module package creati

cloop-src recommends no packages.

-- no debconf information


-- 
Herbert Parentes Fortes Neto (hpfn)
Linux user number 416100
0x9834F79E -- http://pgp.mit.edu/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#453851; Package cloop-src. Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #10 received at 453851@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Herbert P Fortes Neto <h_p_f_n@yahoo.com.br>, 453851@bugs.debian.org
Subject: Re: Bug#453851: cloop-src: make module - invalidate_bdev function
Date: Sat, 12 Jan 2008 13:04:21 +0100
[Message part 1 (text/plain, inline)]
On Sat, Dec 01, 2007 at 03:22:43PM -0200, Herbert P Fortes Neto wrote:
>  i tried to build the cloop module and received this error:

I fixed three compilation problems with the new kernel (2.6.24-git but
should apply to 2.6.23, too, which is in unstable) but then I heared
that it's deprecated anyway.  Well, uploaded in spite of this.

NMU attached.

Kind regards
Philipp Kern
[cloop_2.05~20060829-1_2.05~20060829-1.1.debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Philipp Kern <pkern@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Herbert P Fortes Neto <h_p_f_n@yahoo.com.br>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 453851-close@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 453851-close@bugs.debian.org
Subject: Bug#453851: fixed in cloop 2.05~20060829-1.1
Date: Sat, 12 Jan 2008 12:17:02 +0000
Source: cloop
Source-Version: 2.05~20060829-1.1

We believe that the bug you reported is fixed in the latest version of
cloop, which is due to be installed in the Debian FTP archive:

cloop-src_2.05~20060829-1.1_all.deb
  to pool/main/c/cloop/cloop-src_2.05~20060829-1.1_all.deb
cloop-utils_2.05~20060829-1.1_amd64.deb
  to pool/main/c/cloop/cloop-utils_2.05~20060829-1.1_amd64.deb
cloop_2.05~20060829-1.1.dsc
  to pool/main/c/cloop/cloop_2.05~20060829-1.1.dsc
cloop_2.05~20060829-1.1.tar.gz
  to pool/main/c/cloop/cloop_2.05~20060829-1.1.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 453851@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philipp Kern <pkern@debian.org> (supplier of updated cloop package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 12 Jan 2008 12:36:56 +0100
Source: cloop
Binary: cloop-src cloop-utils
Architecture: source all amd64
Version: 2.05~20060829-1.1
Distribution: unstable
Urgency: low
Maintainer: Eduard Bloch <blade@debian.org>
Changed-By: Philipp Kern <pkern@debian.org>
Description: 
 cloop-src  - Source of the compressed loopback device module
 cloop-utils - Tools for handling with cloop compressed volumes
Closes: 453851
Changes: 
 cloop (2.05~20060829-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix compilation with newer kernels. (Closes: #453851)
     - Fix a call to invalidate_bdev and do not specify a second parameter.
     - bio_endio does not need a size anymore.
     - unregister_blockdev now calls printk on errors by itself, and returns
       void now.
Files: 
 9a1e5ce86353bf722e66ae4e130827c1 543 misc optional cloop_2.05~20060829-1.1.dsc
 089f31577e736f5e0a135768471b1ee4 312396 misc optional cloop_2.05~20060829-1.1.tar.gz
 10d5efa532d2accbfe2fdd5f322993b0 35692 misc optional cloop-src_2.05~20060829-1.1_all.deb
 d332affc364f24901a3e664bcb46039d 94248 misc optional cloop-utils_2.05~20060829-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHiKzS7Ro5M7LPzdgRAg9bAJ9rnjI6t8hGV8oCALJi4m0/TOAK9gCghTZS
Ik2ihhBGzd+IsSZhnMEGtK0=
=xTfv
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Feb 2008 07:30:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:16:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.